Update Location
Update Location.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
location_id
ID of the Location.
Request
This endpoint expects an object.
archiveReason
archived
barcode
name
parentStorageId
schemaFields
Response
OK
__typename
creator
schemaFields
allowNonLocationChildren
Whether this location can store plates, boxes, and containers.
allowedInventorySchemas
The plate, box, and container schemas that can be stored in this location.
If allowsNonLocationChildren is true and this list is empty, all schemas are allowed.
archiveReason
archived
availableCapacity
The number of available positions in this location. Null if totalCapacity is not set.
barcode
createdAt
id
modifiedAt
name
occupiedCapacity
The number of plates, boxes, and containers currently in this location.
Null if totalCapacity is not set.
parentStorage
schema
totalCapacity
The total capacity of this location (i.e. how many plates, boxes, and containers it can store). If null, capacity is not limited.
validationStatus
Whether this location is passing all validation checks.
Allowed values:
Errors
400
Location Update Request Bad Request Error
403
Location Update Request Forbidden Error
404
Location Update Request Not Found Error
409
Location Update Request Conflict Error
429
Location Update Request Too Many Requests Error
500
Location Update Request Internal Server Error